Subject: bug#41463: closed (Re: bug#41463: 27.0.91; ACL error on Windows when trying to save file)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 23 May 2020 07:41:01 +0000

Your bug report

#41463: 27.0.91; ACL error on Windows when trying to save file

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41463: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41463
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#41463: 27.0.91; ACL error on Windows when trying to save file
From: Eli Zaretskii <[email-masked]>
To: Lars Ljung <[email-masked]>
Cc: [email-masked]
Date: Sat, 23 May 2020 10:40:33 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked]
> From: Lars Ljung <[email-masked]>
> Date: Sat, 23 May 2020 09:12:57 +0200
> 
> Den 2020-05-23 kl. 07:52, skrev Eli Zaretskii:
> >> Date: Sat, 23 May 2020 08:43:40 +0300
> >> From: Eli Zaretskii <[email-masked]>
> >> Cc: [email-masked]
> >>
> >>> I traced this to acl_get_file() in w32.c where GetLastError() returns
> >>> 50, i.e. ERROR_NOT_SUPPORTED.
> >>
> >> Thanks.  Does the patch below fix this problem?
> > 
> > Actually, please use this more thorough patch instead:
> 
> That does the trick, thanks :)

Great, thanks.  I installed the fix on the emacs-27 branch, and I'm
therefore marking this bug done.

Subject: 27.0.91; ACL error on Windows when trying to save file
From: Lars Ljung <[email-masked]>
To: [email-masked]
Date: Fri, 22 May 2020 19:47:39 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I get the following error when trying to save a specific file:

Saving file h:/some/file.txt...
file-extended-attributes: Getting ACLs: Input/output error, h:/some/file.txt

This is unexpected since both Emacs 26.3 and notepad.exe are able to
write to this file. Even though I also get an error when using the
Get-Acl command in PowerShell.

In GNU Emacs 27.0.91 (build 2, x86_64-w64-mingw32)
Repository revision: 4b9fbdb5a713745dfdb13042e33ba2345e6860e1
Repository branch: emacs-27
Windowing system distributor 'Microsoft Corp.', version 10.0.18363
System Description: Microsoft Windows 10 Enterprise (v10.0.1909.18363.836)

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Configured using:
 'configure --prefix=/c/emacs/emacs-27.1 --without-compress-install
 --disable-build-details --without-pop LDFLAGS=-shared-libgcc'

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND DBUS NOTIFY W32NOTIFY ACL GNUTLS
LIBXML2 HARFBUZZ ZLIB TOOLKIT_SCROLL_BARS MODULES THREADS JSON PDUMPER
LCMS2 GMP

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: cp1252

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t